# AIListSorterValueAscending Class Reference

Sort by value, ascending. More...

Inheritance diagram for AIListSorterValueAscending:

## Public Member Functions
| AIListSorterValueAscending (AIList *list)
int32 | Begin ()
| Get the first item of the sorter.
void | End ()
| Stop iterating a sorter.
void | FindNext ()
int32 | Next ()
| Get the next item of the sorter.
void | Remove (int item)
| Callback from the list if an item gets removed.
bool | IsEnd ()
| See if the sorter has reached the end.
## Private Attributes
AIList::AIListBucket::iterator | bucket_iter
AIList::AIItemList * | bucket_list
AIList::AIItemList::iterator | bucket_list_iter
bool | has_no_more_items
int32 | item_next

## Detailed Description

Sort by value, ascending.

Definition at line 59 of file ai_list.cpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_list.cpp